CERTRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class CERTRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.CERTRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class CERTRecord
      extends Record

  Certificate Record - Stores a certificate associated with a name. The certificate might also be associated with a KEYRecord.
  Author:
    Brian Wellington
  See Also:
    `KEYRecord`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CERTRecord.CertificateType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OID` Certificate format defined by IOD
    `static int` | `PGP` Pretty Good Privacy
    `static int` | `PKIX` PKIX (X.509v3)
    `static int` | `SPKI` Simple Public Key Infrastructure
    `static int` | `URI` Certificate format defined by URI

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERTRecord(Name name, int dclass, long ttl, int certType, int keyTag, int alg, byte[] cert)` Creates a CERT Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlgorithm()` Returns the algorithm of the associated KEYRecord, if present
    `byte[]` | `getCert()` Returns the binary representation of the certificate
    `int` | `getCertType()` Returns the type of certificate
    `int` | `getKeyTag()` Returns the ID of the associated KEYRecord, if present

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PKIX

          public static final int PKIX

      PKIX (X.509v3)
      See Also:
        Constant Field Values

    - #### SPKI

          public static final int SPKI

      Simple Public Key Infrastructure
      See Also:
        Constant Field Values

    - #### PGP

          public static final int PGP

      Pretty Good Privacy
      See Also:
        Constant Field Values

    - #### URI

          public static final int URI

      Certificate format defined by URI
      See Also:
        Constant Field Values

    - #### OID

          public static final int OID

      Certificate format defined by IOD
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CERTRecord

          public CERTRecord(Name name,
                    int dclass,
                    long ttl,
                    int certType,
                    int keyTag,
                    int alg,
                    byte[] cert)

      Creates a CERT Record from the given data
      Parameters:
        `certType` - The type of certificate (see constants)
        `keyTag` - The ID of the associated KEYRecord, if present
        `alg` - The algorithm of the associated KEYRecord, if present
        `cert` - Binary data representing the certificate

  - ### Method Detail

    - #### getCertType

          public int getCertType()

      Returns the type of certificate

    - #### getKeyTag

          public int getKeyTag()

      Returns the ID of the associated KEYRecord, if present

    - #### getAlgorithm

          public int getAlgorithm()

      Returns the algorithm of the associated KEYRecord, if present

    - #### getCert

          public byte[] getCert()

      Returns the binary representation of the certificate